Bug 1123182 - [abrt] evolution: gtk_widget_get_toplevel(): evolution killed by SIGSEGV
Summary: [abrt] evolution: gtk_widget_get_toplevel(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a70125e1f21e327d156eaef0070...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 04:45 UTC by Chris Murphy
Modified: 2014-09-02 07:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 07:47:28 UTC


Attachments (Terms of Use)
File: backtrace (53.01 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: core_backtrace (36.56 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: dso_list (27.39 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: environ (1.31 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: maps (135.13 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: open_fds (3.91 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details
File: var_log_messages (14.63 KB, text/plain)
2014-07-25 04:45 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2014-07-25 04:45:47 UTC
Version-Release number of selected component:
evolution-3.12.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evolution
crash_function: gtk_widget_get_toplevel
executable:     /usr/bin/evolution
kernel:         3.16.0-0.rc6.git0.1.fc21.1.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_widget_get_toplevel at /lib64/libgtk-3.so.0
 #1 gtk_widget_hide at /lib64/libgtk-3.so.0
 #2 g_cclosure_marshal_VOID(int0_t, void) at /lib64/libgobject-2.0.so.0
 #3 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #6 alert_timeout_cb at /usr/lib64/evolution/3.12/libevolution-util.so
 #9 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #11 gtk_main at /lib64/libgtk-3.so.0

Comment 1 Chris Murphy 2014-07-25 04:45:49 UTC
Created attachment 920795 [details]
File: backtrace

Comment 2 Chris Murphy 2014-07-25 04:45:49 UTC
Created attachment 920796 [details]
File: cgroup

Comment 3 Chris Murphy 2014-07-25 04:45:50 UTC
Created attachment 920797 [details]
File: core_backtrace

Comment 4 Chris Murphy 2014-07-25 04:45:51 UTC
Created attachment 920798 [details]
File: dso_list

Comment 5 Chris Murphy 2014-07-25 04:45:52 UTC
Created attachment 920799 [details]
File: environ

Comment 6 Chris Murphy 2014-07-25 04:45:52 UTC
Created attachment 920800 [details]
File: exploitable

Comment 7 Chris Murphy 2014-07-25 04:45:53 UTC
Created attachment 920801 [details]
File: limits

Comment 8 Chris Murphy 2014-07-25 04:45:54 UTC
Created attachment 920802 [details]
File: maps

Comment 9 Chris Murphy 2014-07-25 04:45:55 UTC
Created attachment 920803 [details]
File: open_fds

Comment 10 Chris Murphy 2014-07-25 04:45:55 UTC
Created attachment 920804 [details]
File: proc_pid_status

Comment 11 Chris Murphy 2014-07-25 04:45:56 UTC
Created attachment 920805 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-07-29 07:47:43 UTC
Thanks for a bug rpeort. I see in the var_log_messages some odd failures, those
> CRITICAL **: e_mail_session_get_local_folder: assertion
> 'CAMEL_IS_FOLDER (folder)' failed
These might not be there and they suggest an issue with one of the On This Computer "special" folders, which are Inbox, Drafts, Outbox and Sent folders. I do not expect it being directly related to this crash, but they still should not be there.

About the crash itself, do you have any reproducer of it, please?

Comment 13 Chris Murphy 2014-09-01 18:04:09 UTC
There are no On This Computer folders at all, all folders are remote (yahoo and outlook mail). I haven't run into this particular crash again so far.

Comment 14 Milan Crha 2014-09-02 07:47:28 UTC
Thanks for the update. I'm closing this for now, but please feel free to reopen or just give more information in case you'd face this again. Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.